FROM postgres:13-alpine as base
EXPOSE 5432


FROM base as default


FROM base as staging
ADD CONFIG/Vault/TLS_Certs/Signed_Certs/keycloakpostgres.pem /var/lib/postgresql/server.crt
ADD CONFIG/Vault/TLS_Certs/Signed_Certs/keycloakpostgres-key.pem /var/lib/postgresql/server.key
ADD CONFIG/Vault/TLS_Certs/IntermediateCA/intermediateCA.pem /var/lib/postgresql/root.crt

RUN chown 70:70 /var/lib/postgresql/server.crt /var/lib/postgresql/server.key /var/lib/postgresql/root.crt
RUN chmod 600 /var/lib/postgresql/server.key

USER postgres
CMD ["-c", "ssl=on", "-c", "ssl_cert_file=/var/lib/postgresql/server.crt", "-c", "ssl_key_file=/var/lib/postgresql/server.key"]



FROM base as production
ADD CONFIG/Vault/TLS_Certs/Signed_Certs/keycloakpostgres.pem /var/lib/postgresql/server.crt
ADD CONFIG/Vault/TLS_Certs/Signed_Certs/keycloakpostgres-key.pem /var/lib/postgresql/server.key
ADD CONFIG/Vault/TLS_Certs/IntermediateCA/intermediateCA.pem /var/lib/postgresql/root.crt

RUN chown 70:70 /var/lib/postgresql/server.crt /var/lib/postgresql/server.key /var/lib/postgresql/root.crt
RUN chmod 600 /var/lib/postgresql/server.key

USER postgres
CMD ["-c", "ssl=on", "-c", "ssl_cert_file=/var/lib/postgresql/server.crt", "-c", "ssl_key_file=/var/lib/postgresql/server.key"]